%define fefpcl_pkg	FJSVfefpcl

%define __brp_kmod_set_exec_bit %(nul)
%undefine _debugsource_packages

Name:		%{fefpcl_pkg}
Version:	8.0.0
Release:	3.el9
Summary:	HBA Blockage Function

License:	GPLv2
Group:		System/Kernel

Packager:	Fujitsu Limited
Vendor:		Fujitsu Limited
URL:		https://www.fujitsu.com/

Source0:	%{fefpcl_pkg}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{fefpcl_pkg}-%{version}-build
BuildRequires:	%kernel_module_package_buildreqs
ExclusiveOS:	Linux

%description
This package provides the FJSVfefpcl-RHEL9 driver part.

%kernel_module_package

%define __modsign_install_post \
  find %{buildroot}/lib/modules -name '*.ko' | xargs /usr/src/kernels/%{kverrel}/scripts/sign-file sha256 /usr/src/kernels/keys/priv/private_key.priv /usr/src/kernels/keys/public_key.der \
%{nil}

%define __spec_install_post \
  %{?__debug_package:%{__debug_install_post}}\
  %{__arch_install_post}\
  %{__os_install_post}\
  %{__modsign_install_post}\
%{nil}

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
rm -rf obj/source
cp -r source obj
cd obj/source/driver
./bootstrap
make CDIR=%{kernel_source default} MDIR=$PWD
cd ..

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
cd obj/source/driver
make CDIR=%{kernel_source default} modules_install MDIR=$PWD
# Cleanup unnecessary kernel-generated module dependency files.
find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{name}/*
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 20 2023 Fujitsu Limited
- Build for Red Hat Enterprise Linux 9.2 (BS01732)
* Fri Dec 9 2022 Fujitsu Limited
- Build for Red Hat Enterprise Linux 9.1 (BS01718)
* Fri Mar 25 2022 Fujitsu Limited
- Build for Red Hat Enterprise Linux 9. (BS01708)

