#!/usr/bin/bash

. $dracutfunctions

check() {
    if [ -z "$IN_KDUMP" ] ; then
	return 1
    fi
    return 0
}

install() {
    if [[ -f "/var/local/FJSVossn/system_index" ]]; then
	inst "/var/local/FJSVossn/system_index" "/var/local/FJSVossn/system_index"
    fi
    inst "$moddir/ossn_lib.sh" "/usr/lib/FJSVossn/ossn_lib.sh"
    inst_hook cmdline 9999 "$moddir/set_system_status_dumping.sh"
    inst "/usr/bin/ipmitool" "/usr/bin/ipmitool"
    inst "$moddir/00-set_system_status_halt.sh" "/etc/kdump/post.d/00-set_system_status_halt.sh"
}
